#include "../include/Entity.h"

namespace environment {
namespace data {

  std::ostream& operator<< (std::ostream& output, Entity & x)
  {
    output << "present : " << x.present;
    if (x.present == true)
      output << std::endl << *x.segment;
    
    return output;
  }

};
};
